<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/Vertex.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Vertex.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vertex_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_Vertex_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_Vertex_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_const_8h.html">eicd/VertexConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vertex_obj_8h.html">eicd/VertexObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vector_x_y_z_t_8h.html">eicd/VectorXYZT.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// forward declarations</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">class </span>ReconstructedParticle;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">class </span>ConstReconstructedParticle;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;}</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>VertexCollection;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>VertexCollectionIterator;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">class </span>ConstVertex;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_vertex.html">Vertex</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_vertex_collection.html">VertexCollection</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_vertex_collection_iterator.html">VertexCollectionIterator</a>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex</a>();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex</a>(<span class="keywordtype">int</span> <a class="code" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">primary</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">chi2</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">probability</a>, <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">position</a>);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex</a>(<a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>* obj);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">Vertex</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; other);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; <a class="code" href="classeic_1_1_vertex.html#a5401a139604ecb1a48149797d7e95119">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; other);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <a class="code" href="classeic_1_1_vertex.html">Vertex</a> <a class="code" href="classeic_1_1_vertex.html#a5a7a2343046e053707b8c5a9c7c5fd77">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <a class="code" href="classeic_1_1_vertex.html#a2906315761acc0b7ad04388d1cfef10c">~Vertex</a>();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">primary</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">chi2</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">probability</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keyword">const</span> <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&amp; <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">position</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ab8f4d022b2e9029ffa7c0165e9e708f7">x</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ac7a8bad218a5c38e8b537200d96d9681">y</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#acfbb82aae5f3877dafc6fd65cd6cb90d">z</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_vertex.html#ab66fd259b680f14b9bbd11121e49bd09">t</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  const ::eic::ConstReconstructedParticle <a class="code" href="classeic_1_1_vertex.html#a9a50db78ba41bf3f045126cc5f11c930">particle</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">primary</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">chi2</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">probability</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">position</a>(<a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> value);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <a class="code" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&amp; <a class="code" href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">position</a>();</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ab8f4d022b2e9029ffa7c0165e9e708f7">x</a>(<span class="keywordtype">double</span> value);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ac7a8bad218a5c38e8b537200d96d9681">y</a>(<span class="keywordtype">double</span> value);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#acfbb82aae5f3877dafc6fd65cd6cb90d">z</a>(<span class="keywordtype">double</span> value);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ab66fd259b680f14b9bbd11121e49bd09">t</a>(<span class="keywordtype">double</span> value);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#a9a50db78ba41bf3f045126cc5f11c930">particle</a>(::<a class="code" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> value);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_vertex.html#affed80f927552bda13690b221a555035">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#ad7a37d5fb4244a58ac8fb4c118e5da5a">  119</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_vertex.html#ad7a37d5fb4244a58ac8fb4c118e5da5a">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#af3da2394dc202b459694b45a4dd437bc">  121</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_vertex.html#af3da2394dc202b459694b45a4dd437bc">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_vertex.html#af3da2394dc202b459694b45a4dd437bc">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a3098f3349dd5af00117ab31650c56f47">  125</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_vertex.html#a3098f3349dd5af00117ab31650c56f47">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_vertex.html">Vertex</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex.html#a0d49d284cd301d43e7e6519741925420">  127</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_vertex.html#a0d49d284cd301d43e7e6519741925420">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">getObjectID</a>().index; }</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;  <a class="code" href="classeic_1_1_vertex_obj.html">VertexObj</a>* m_obj;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;};</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_vertex.html">ConstVertex</a>&amp; value);</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_vertex_html_ac7a8bad218a5c38e8b537200d96d9681"><div class="ttname"><a href="classeic_1_1_vertex.html#ac7a8bad218a5c38e8b537200d96d9681">eic::Vertex::y</a></div><div class="ttdeci">const double &amp; y() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00057">Vertex.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a9a50db78ba41bf3f045126cc5f11c930"><div class="ttname"><a href="classeic_1_1_vertex.html#a9a50db78ba41bf3f045126cc5f11c930">eic::Vertex::particle</a></div><div class="ttdeci">const ::eic::ConstReconstructedParticle particle() const</div><div class="ttdoc">Access the Reconstructed Particle associated to the Vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00061">Vertex.cc:61</a></div></div>
<div class="ttc" id="_vertex_obj_8h_html"><div class="ttname"><a href="_vertex_obj_8h.html">VertexObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_aaaf2caa9321971054b1147684ae7ae65"><div class="ttname"><a href="classeic_1_1_vertex.html#aaaf2caa9321971054b1147684ae7ae65">eic::Vertex::Vertex</a></div><div class="ttdeci">Vertex()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00017">Vertex.cc:17</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a43ba2220afb5601410cc77c2dcc26a55"><div class="ttname"><a href="classeic_1_1_vertex.html#a43ba2220afb5601410cc77c2dcc26a55">eic::Vertex::position</a></div><div class="ttdeci">const eic::VectorXYZT &amp; position() const</div><div class="ttdoc">Access the postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00055">Vertex.cc:55</a></div></div>
<div class="ttc" id="_vertex_const_8h_html"><div class="ttname"><a href="_vertex_const_8h.html">VertexConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a5401a139604ecb1a48149797d7e95119"><div class="ttname"><a href="classeic_1_1_vertex.html#a5401a139604ecb1a48149797d7e95119">eic::Vertex::operator=</a></div><div class="ttdeci">Vertex &amp; operator=(const Vertex &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00033">Vertex.cc:33</a></div></div>
<div class="ttc" id="_vector_x_y_z_t_8h_html"><div class="ttname"><a href="_vector_x_y_z_t_8h.html">VectorXYZT.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_ad7a37d5fb4244a58ac8fb4c118e5da5a"><div class="ttname"><a href="classeic_1_1_vertex.html#ad7a37d5fb4244a58ac8fb4c118e5da5a">eic::Vertex::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from VertexObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00119">Vertex.h:119</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_add5372ef6f48f963d0e7d2671b2f4dd8"><div class="ttname"><a href="classeic_1_1_vertex.html#add5372ef6f48f963d0e7d2671b2f4dd8">eic::Vertex::probability</a></div><div class="ttdeci">const float &amp; probability() const</div><div class="ttdoc">Access the Probability of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00054">Vertex.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a5fc7a99bf2445e0814f224438f7fe797"><div class="ttname"><a href="classeic_1_1_vertex.html#a5fc7a99bf2445e0814f224438f7fe797">eic::Vertex::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00097">Vertex.cc:97</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a0d49d284cd301d43e7e6519741925420"><div class="ttname"><a href="classeic_1_1_vertex.html#a0d49d284cd301d43e7e6519741925420">eic::Vertex::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00127">Vertex.h:127</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_obj_html"><div class="ttname"><a href="classeic_1_1_vertex_obj.html">eic::VertexObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_obj_8h_source.html#l00022">VertexObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_acfbb82aae5f3877dafc6fd65cd6cb90d"><div class="ttname"><a href="classeic_1_1_vertex.html#acfbb82aae5f3877dafc6fd65cd6cb90d">eic::Vertex::z</a></div><div class="ttdeci">const double &amp; z() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00058">Vertex.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a3098f3349dd5af00117ab31650c56f47"><div class="ttname"><a href="classeic_1_1_vertex.html#a3098f3349dd5af00117ab31650c56f47">eic::Vertex::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const Vertex &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00125">Vertex.h:125</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_ac73f0232242f85f2726c929893b35c52"><div class="ttname"><a href="classeic_1_1_vertex.html#ac73f0232242f85f2726c929893b35c52">eic::Vertex::chi2</a></div><div class="ttdeci">const float &amp; chi2() const</div><div class="ttdoc">Access the Chi squared of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00053">Vertex.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_vertex_collection_iterator.html">eic::VertexCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_collection_8h_source.html#l00029">VertexCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_af3da2394dc202b459694b45a4dd437bc"><div class="ttname"><a href="classeic_1_1_vertex.html#af3da2394dc202b459694b45a4dd437bc">eic::Vertex::operator==</a></div><div class="ttdeci">bool operator==(const Vertex &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00121">Vertex.h:121</a></div></div>
<div class="ttc" id="classeic_1_1_const_vertex_html"><div class="ttname"><a href="classeic_1_1_const_vertex.html">eic::ConstVertex</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_const_8h_source.html#l00029">VertexConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a5a7a2343046e053707b8c5a9c7c5fd77"><div class="ttname"><a href="classeic_1_1_vertex.html#a5a7a2343046e053707b8c5a9c7c5fd77">eic::Vertex::clone</a></div><div class="ttdeci">Vertex clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00043">Vertex.cc:43</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a2906315761acc0b7ad04388d1cfef10c"><div class="ttname"><a href="classeic_1_1_vertex.html#a2906315761acc0b7ad04388d1cfef10c">eic::Vertex::~Vertex</a></div><div class="ttdeci">~Vertex()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00047">Vertex.cc:47</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_collection_html"><div class="ttname"><a href="classeic_1_1_vertex_collection.html">eic::VertexCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_collection_8h_source.html#l00050">VertexCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_ab66fd259b680f14b9bbd11121e49bd09"><div class="ttname"><a href="classeic_1_1_vertex.html#ab66fd259b680f14b9bbd11121e49bd09">eic::Vertex::t</a></div><div class="ttdeci">const double &amp; t() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00059">Vertex.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_a7c97516808ae6cab492e2b39584ebaa4"><div class="ttname"><a href="classeic_1_1_vertex.html#a7c97516808ae6cab492e2b39584ebaa4">eic::Vertex::primary</a></div><div class="ttdeci">const int &amp; primary() const</div><div class="ttdoc">Access the Whether it is the primary vertex of the event. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00052">Vertex.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_affed80f927552bda13690b221a555035"><div class="ttname"><a href="classeic_1_1_vertex.html#affed80f927552bda13690b221a555035">eic::Vertex::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00090">Vertex.cc:90</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html"><div class="ttname"><a href="classeic_1_1_vertex.html">eic::Vertex</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8h_source.html#l00031">Vertex.h:31</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00011">VectorXYZT.h:11</a></div></div>
<div class="ttc" id="classeic_1_1_const_reconstructed_particle_html"><div class="ttname"><a href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_reconstructed_particle_const_8h_source.html#l00033">ReconstructedParticleConst.h:33</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_html_ab8f4d022b2e9029ffa7c0165e9e708f7"><div class="ttname"><a href="classeic_1_1_vertex.html#ab8f4d022b2e9029ffa7c0165e9e708f7">eic::Vertex::x</a></div><div class="ttdeci">const double &amp; x() const</div><div class="ttdoc">Access the member of postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_8cc_source.html#l00056">Vertex.cc:56</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
